Subject: Re: [RSN] The need for RSN

From: [email-masked]
Date: Tue, 26 Jun 2007 10:47:31 -0700 (PDT)

I did get it the first time, not sure why the messages appear as bouncing.

At any rate, I thought initially your question was rhetorical, I guess it isn't. 

The "of course" refers to the fact that
any layer 3 protocol works on layer 3 identifiers (IPv4 and IPv6 addresses). Before one can use that
at a different layer, there is the adaptation work of at least, (1) a slight modification to make it work on 
identifiers relevant at that layer. In the 6lowpan case, those identifiers are either 16 or 64 bit MAC
addresses. There may be (2) other adaptations or simplifications that may make sense in order to 
make packets smaller, reduce options, etc. I refer you to the individual submissions in 6lowpan.

In the case of MANET protocols, both 1 and 2 may be
in order. If RSN does things correctly, perhaps only #1 will be necessary for RSN protocols to 
be usable in 6lowpan. Either way, the bulk of the work, the path computation algorithms, the
neighbor list maintenance procedures, etc, would be done in those groups within the routing area.

Hope this is clear.

-gabriel

----- Original Message ----
From: Charles E. Perkins <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Sent: Friday, June 15, 2007 6:35:29 PM
Subject: Re: [RSN] The need for RSN

Hello Gabriel,

ext [email-masked] wrote:
> We've been primarily assuming we'd be adapting protocols from MANET, 
> and there are individual
> submissions already on AODV, DyMO as well as non-IETF protocols (e.g., 
> HILO). We've also
> been assured by MANET chairs (i.e., Ian) that they will heed our 
> requirements and make sure
> their protocols also work for us. Of course, their protocols will 
> never work "as is". We have to
> adapt them to work under IP, instead of over IP as assumed by MANET.
Of course, I have hoped that the "Of course" in your paragraph
is not so self-evident.  Is there really no hope?
[PS. Your mail to the mailing list shows as bouncing?]
>
> As I understand it, RSN operates at layer 3, and it is arguing that 
> there is room for another multi-hop routing WG in the
> routing area. Perhaps MANET can't really satisfy requirements for 
> wireless sensors. Whether this is solved by
> integrating the RSN charter/deliverables into a re-chartered MANET, 
> or  by starting a new WG,
> from 6lowpan's point of view, 6lowpan can benefit from the resultant 
> protocols.
I think it is more likely that [rsn] can be viewed as a spin-off from 
[manet],
in much the same way that [mipshop] and others were spun off from the
old [mobileip] group.  In fact, I think the argument for [rsn] is much 
stronger
than the argument for [mipshop] because [rsn] has a clear need for
looking at:
- compression,
- power-saving techniques,
- new extensions to DYMO or whatever,
- new/better metrics,
- clustering
- multicast
- perhaps also geographic routing techniques.
> Of course, adaptation from layer 3 to sub-IP operation will be 
> required, along the lines of the
> existing independent submissions in 6lowpan.
There's that "Of course" again :-)

Regards,
Charlie P.

_______________________________________________
RSN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rsn

_______________________________________________
RSN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rsn